Get Top Product Detail
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/trending/top-products/detail \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/trending/top-products/detail"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/trending/top-products/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"info": {
"audience_ages": null,
"audience_interests": [],
"cover_url": "https://p19-cc-sign-sg.tiktokcdn.com/tos-maliva-i-o3syd03w52-us/9b034856657c4453b5d7f49374061e5d~tplv-yenboaefse-image.jpeg?lk3s=317596d8&x-expires=1768398902&x-signature=1S02fT%2BzA%2B2JYLjRL%2FugKgVTWvM%3D",
"ecom_type": "13",
"first_ecom_category": {
"id": "605196",
"label": "category_605196",
"value": "Automotive & Motorbike"
},
"hashtags": [
"outfit",
"flypシ",
"story",
"onepiece",
"jesus"
],
"posts": [
"7472308160007802158",
"7244069684193070342",
"7413067122605165841"
],
"second_ecom_category": {
"id": "940808",
"label": "category_940808",
"parent_id": "605196",
"value": "Vehicle Washing & Maintenance"
},
"third_ecom_category": {
"id": "940808",
"label": "category_940808",
"parent_id": "605196",
"value": "Vehicle Washing & Maintenance"
},
"url_title": "T-Shirts"
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Trending
Get Top Product Detail
Get Top Product Detail
GET
/
api
/
trending
/
top-products
/
detail
Get Top Product Detail
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Product ID
Pattern:
^\d+$Example:
"601226"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

